/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.jcg;

import org.springframework.ai.vectorstore.VectorStore;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.core.io.Resource;
import java.util.List;
import org.springframework.ai.document.Document;
import org.springframework.ai.reader.JsonReader;
import org.springframework.stereotype.Component;

/**
 *
 * @author omozegieaziegbe
 */
@Component
public class MovieDataLoader {

    @Value("classpath:/data/movies.json")
    private Resource resource;

    private static final String[] KEYS = {"title", "genre", "releaseYear", "description"};

    @Autowired
    private VectorStore vectorStore;

    public void uploadMovies() {
        JsonReader jsonReader = new JsonReader(resource, KEYS);
        List<Document> docs = jsonReader.get();
        vectorStore.add(docs);
    }

}
